<template>
    <CContainer class="d-flex content-center min-vh-100">
        <CRow>
            <CCol>
                <CCardGroup>
                    <CCard class="p-4" style="width: 475px; height: 330px">
                        <CCardBody>
                            <CForm @submit.prevent="loginUser">
                                <h1>Login</h1>
                                <p class="text-muted">Connexion à Agend'easy</p>
                                <CInput
                                        type="text"
                                        id="email"
                                        prepend="@"
                                        placeholder="E-mail"
                                        v-model="login.email"
                                >
                                </CInput>
                                <CInput
                                        placeholder="Mot de passe"
                                        type="password"
                                        autocomplete="curent-password"
                                        v-model="login.password"
                                >
                                    <template #prepend-content>
                                        <CIcon name="cil-lock-locked"/>
                                    </template>
                                </CInput>
                                <CRow>
                                    <CCol col="6" class="text-left">
                                        <CButton color="primary" class="px-4" type="submit">Connexion</CButton>
                                    </CCol>
                                    <CCol col="6" class="text-right">
                                        <CButton color="link" class="px-0">Mot de passe oublié ?</CButton>
                                        <CButton color="link" class="d-md-none">S'inscrire !</CButton>
                                    </CCol>
                                </CRow>
                            </CForm>
                        </CCardBody>
                    </CCard>
                </CCardGroup>
            </CCol>
        </CRow>
    </CContainer>
</template>
<script>
    import swal from "sweetalert";

    export default {
        data() {
            return {
                login: {
                    email: "",
                    password: ""
                }
            };
        },
        methods: {
            async loginUser() {
                await this.$http.post("/api/users/login", this.login)
                    .then(response => {
                        let token = response.data.token;
                        localStorage.setItem("jwt", token);
                        if (token) {
                            swal("Succès", response.data.msg, "success");
                            this.$router.push("/dashboard");
                        }
                    })
                    .catch(error => {
                        if (error.response && error.response.status === 500) {
                            swal("Erreur", error.response.data.msg, "error");
                        }
                        else {
                            swal("Erreur", "Une erreur est survenue", "error");
                        }
                    })

            }
        }
    };
</script>

<style>
</style>